using namespace std;

void IntegralCauchy() {

   ROOT::Math::Integrator ig;

   double xi = 0.2;

   Double_t alpha = -0.3;

   auto Hval = [&](double x){ return 1. / ( 1. + x ) * pow( x, alpha ); };

   auto f = [&](double x){ return -2.* x / ( x + xi ) * Hval(x); };

   ig.SetFunction(f);

   double value = ig.IntegralCauchy(0,1,xi);

   cout << "Integral = " << value << endl;

}
